Edit

Gateways - Check Gateway Status

Checks the status of the specified gateway.
This API supports long running operations (LRO).

Permissions

The caller must have permission for the gateway.

Required Delegated Scopes

Gateway.Read.All or Gateway.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/gateways/{gatewayId}/checkStatus

URI Parameters

Name In Required Type Description
gatewayId
path True

string (uuid)

The ID of the gateway.

Responses

Name Type Description
200 OK

GatewayStatusResponse

Request completed successfully.

202 Accepted

Request accepted, status check is in progress.

Headers

  • Location: string
  • x-ms-operation-id: string
  • Retry-After: integer
429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • EntityNotFound - The requested resource could not be found.

  • InsufficientPermissionsToManageGateway - The caller has insufficient permissions to manage this gateway.

Examples

On premise data gateway example when gateway cluster is online but one of the gateway member encounters an error
Virtual network gateway example

On premise data gateway example when gateway cluster is online but one of the gateway member encounters an error

Sample request

POST https://api.fabric.microsoft.com/v1/gateways/8e41c4dd-a382-4937-9bf3-695ab881f7c2/checkStatus

Sample response

{
  "status": "Online",
  "gatewayVersion": "1.2.3",
  "gatewayUpgradeState": "UpToDate",
  "errorDetails": [
    {
      "errorCode": "DMTS_GatewayIsDisabled",
      "message": "Gateway is disabled",
      "relatedResource": {
        "resourceId": "f5a83d6a-78e2-4834-af05-b586e3aeb7e6",
        "resourceType": "Gateway"
      }
    }
  ]
}

Virtual network gateway example

Sample request

POST https://api.fabric.microsoft.com/v1/gateways/8e41c4dd-a382-4937-9bf3-695ab881f7c2/checkStatus

Sample response

{
  "status": "Offline",
  "gatewayVersion": "1.2.3",
  "gatewayUpgradeState": "UpToDate",
  "errorDetails": [
    {
      "errorCode": "DM_GWPipeline_Client_GatewayUnreachable",
      "message": "Gateway is unreachable",
      "relatedResource": {
        "resourceId": "8e41c4dd-a382-4937-9bf3-695ab881f7c2",
        "resourceType": "Gateway"
      }
    }
  ]
}
Location: https://api.fabric.microsoft.com/v1/operations/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
x-ms-operation-id: 431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
Retry-After: 30

Definitions

Name Description
ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

GatewayStatus

The status of the gateway. Additional statuses may be added over time.

GatewayStatusResponse

The gateway status response.

GatewayUpgradeState

The gateway version upgrade state. Additional upgrade states may be added over time.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

GatewayStatus

The status of the gateway. Additional statuses may be added over time.

Value Description
Online

The gateway is online and available for use.

Offline

The gateway is offline. Please check errorDetails property for more information.

GatewayStatusResponse

The gateway status response.

Name Type Description
errorDetails

ErrorResponseDetails[]

The error details when the gateway is offline or when one or many members of gateway clusters encounters an error.

gatewayUpgradeState

GatewayUpgradeState

The upgrade state of the gateway.

gatewayVersion

string

The version of the gateway.

status

GatewayStatus

The status of the gateway.

GatewayUpgradeState

The gateway version upgrade state. Additional upgrade states may be added over time.

Value Description
UpToDate

The gateway is up to date.

NewVersionAvailable

A new gateway version is available.

UpgradeRequired

The gateway requires an upgrade.

Unknown

The gateway upgrade state is unknown.